#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_EffectCFGData
{
	//ID
	int mID;
	//效果名字
	std::string mName;
	//效果类型(1骨骼动画,2多个粒子,3帧动画,4精灵,5组合,6转盘,7延迟）
	int mEffectType;
	//参数
	std::vector<std::string> mResParams;
	//持续时间
	float mDuration;
};

class Fish_EffectCFG
{
public:
private:
	static std::auto_ptr<Fish_EffectCFG> msSingleton;
public:
	int GetCount();
	const Fish_EffectCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_EffectCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_EffectCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_EffectCFGData> mMapData;
};
